// 全局请求路径，也就是后端的请求基准路径
export const BASE_URL = 'https://banmayouxi.oss-cn-beijing.aliyuncs.com'//正式
export const BASE_URL1 = 'http://banma8188.com'//正式
// 同时发送异步代码的次数，防止一次点击中有多次请求，用于处理
let ajaxTimes=0;
// 封装请求方法，并向外暴露该方法
export const request = (options)=>{
	// 解构请求头参数
	let header = {...options.header};
	// 当前请求不是登录时请求，在header中加上后端返回的token
	if(options.url != '/api/login'&&options.url!='/api/user/add'&&options.url!='/api/getService'&&options.url!='/api/getPrivacy'){
	    header["Authorization"] = uni.getStorageSync('token');
	}
	ajaxTimes++;
	// 显示加载中 效果
	// uni.showLoading({
	// 	title: "加载中",
	// });
	return new Promise((resolve,reject)=>{
		uni.request({
			url:BASE_URL1+options.url,
			method: options.method || 'GET',
			data: options.data || {},
			header,
			success: (res)=>{
				if(options.url=="/api/index/getGoodsDetail"){
					resolve(res.data);
					return
				}
				
				
				if(res.data.code!==0){
					// uni.hideLoading();
					resolve(res.data);
				}else{
					if(res.data.code==401||res.data.code==402){
						uni.hideLoading();
						uni.setStorageSync('token','')
						uni.navigateTo({
							url:'/pages/login/login'
						})
					}else{
						if(options.url=='/api/index/getGoodsList'){
							resolve(res.data);
						}else{
							uni.showToast({
								title:res.data.msg,
								icon:'none'
							})
						}
						
					}
				}
			},
			fail: (err)=>{
				reject(err);
				uni.hideLoading();
			},
			// 完成之后关闭加载效果
			complete:()=>{
				ajaxTimes--;
				if(ajaxTimes===0){
			        //  关闭正在等待的图标
			        uni.hideLoading();
			    }
			}
		})
	})
}
